Remove a PermissionPolicy from a user - m3ter Documentation
Remove a PermissionPolicy from a user
cURL
curl --request POST \
--url https://api.m3ter.com/organizations/{orgId}/permissionpolicies/{permissionPolicyId}/removefromuser \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"principalId": "<string>",
"version": 123
}
'
Python
import requests
url = "https://api.m3ter.com/organizations/{orgId}/permissionpolicies/{permissionPolicyId}/removefromuser"
payload = {
"principalId": "<string>",
"version": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
JavaScript
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({principalId: '<string>', version: 123})
};
fetch('https://api.m3ter.com/organizations/{orgId}/permissionpolicies/{permissionPolicyId}/removefromuser', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP


Response Codes
Sample Response
{
"id": "<string>",
"version": 123,
"permissionPolicyId": "<string>",
"principalId": "<string>",
"dtCreated": "2023-11-07T05:31:56Z",
"dtLastModified": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"lastModifiedBy": "<string>"
}
{
"message": "<string>"
}
{
"message": "<string>"
}
Authorizations
- Authorization: string (header, required)
- m3ter supports machine to machine authentication using the
clientCredentials OAuth2 flow.
Path Parameters
- orgId: string (required) - UUID of the organization
- permissionPolicyId: string (required) - UUID of the permission policy
Body
- principalId: string (required) - Minimum string length:
1
- version: integer - The version number of the entity.
Response
- id: string (required) - The UUID of the entity.
- version: integer - The version number.
- permissionPolicyId: string
- principalId: string
- dtCreated: string - The DateTime when the principal permission was created.
- dtLastModified: string - The DateTime when the principal permission was last modified.
- createdBy: string - The id of the user who created this principal permission.
- lastModifiedBy: string - The id of the user who last modified this principal permission.